Subject: Re: bug#73255: 30.0.91; on NetBSD-10 configure script run halts

From: Van Ly <[email-masked]>
Date: Sun, 15 Sep 2024 10:22:40 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Van Ly <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 15 Sep 2024 06:31:04 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >>   configure: error: The following required libraries were not found:
>> >>        gnutls
>> >
>> > That's the reason, right there: the configure script decided it
>> > couldn't find GnuTLS installed whose version is at least 2.12.2:
>> >
>> >> 167 checking for gnutls >= 2.12.2... no
>> >
>> > AFAICT, Emacs 29.4 was making the same test, so there's some other
>> > factor here at work.  Did something change wrt GnuTLS between the time
>> > you built Emacs 29.4 and the time you tried to build 30.0.91?  Are you
>> > sure you have the header files needed for developing programs with
>> > GnuTLS?
>> >
>> 
>> The pkgsrc manager refreshed the quarterly release so that may explain.
>
> Probably.  But I'd need to see the contents of your gnutls.pc file to
> know for sure.
>
>> As attached, the pkg-content listing shows header files.
>> 
>> > In any case, please post config.log which was created by running the
>> > configure script, it should tell the details regarding the failed
>> > test.
>> >
>> 
>> See attached config.log for 29.4 and 30.0.91. The earlier version
>> config.log locates the cairo package related paths and I was able to
>> make that work on 30.0.91
>
> Here's the difference:
>
>  Emacs 29.4:
>
>> configure:15995: checking for gnutls >= 2.12.2
>> configure:16002: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
>> configure:16005: $? = 0
>> configure:16019: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
>> configure:16022: $? = 0
>> configure:16060: result: yes
>                    ^^^^^^^^^^^
>   It succeds.  By contrast, Emacs 30:
>
>> configure:20577: checking for gnutls >= 2.12.2
>> configure:20584: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
>> Package gnutls was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `gnutls.pc'
>> to the PKG_CONFIG_PATH environment variable
>> Package 'gnutls' not found
>> configure:20587: $? = 1
>> configure:20601: $PKG_CONFIG --exists --print-errors "gnutls >= 2.12.2"
>> Package gnutls was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `gnutls.pc'
>> to the PKG_CONFIG_PATH environment variable
>> Package 'gnutls' not found
>   ^^^^^^^^^^^^^^^^^^^^^^^^^^
>
>   It fails.
>
> The pkg-content listing shows the gnutls.pc file:
>
>     59 /usr/pkg/lib/pkgconfig/gnutls.pc
>
> But it looks like this file is not in the directory where pkg-config
> looks.  So, as the configure script says, "Perhaps you should add the
> directory containing `gnutls.pc' to the PKG_CONFIG_PATH environment
> variable".  Or maybe the file is there, but its contents is wrong or
> corrupted or something.  Or maybe you installed a new version of
> pkg-config, and that looks in different places.
>
> In any case, you should make sure that the command
>
>   $ pkg-config --exists --print-errors "gnutls >= 2.12.2"
>
> exits with zero status and no error messages.
>
> Bottom line: this seems to be a problem with your system
> configuration.
>

Good catch !!!

Thanks for getting to the bottom of this.  Possible cause is the pkgsrc
config state is messed up.  I get to the end of the configure script run
using

  env PKG_CONFIG_PATH=/usr/pkg/lib/pkgconfig ../30.0.91/configure

and make completes. I'll next time try harder to read the config.log

On the pretest announcement the keyserver pgp.mit.edu works where
keys.openpgp.org fails for verifying the sigfile, btw.

-- 
vl